| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Functions
Coordinated Move
C » Controller » Data Record

Coordinated move values, relevant for LM and CM modes of motion. More...

## Functions
uint16_t | gclib_data_record_coordinated_move_segment_count (gclib_data_record_handle h, char plane)
| Returns the segment count for the current move.
uint16_t | gclib_data_record_coordinated_move_status (gclib_data_record_handle h, char plane)
| Returns the coordinated move status word.
bool | gclib_data_record_coordinated_move_final_deceleration (gclib_data_record_handle h, char plane)
| Returns true if in final deceleration.
bool | gclib_data_record_coordinated_move_stopping (gclib_data_record_handle h, char plane)
| Returns true if stopping.
bool | gclib_data_record_coordinated_move_slewing (gclib_data_record_handle h, char plane)
| Returns true if slewing.
bool | gclib_data_record_coordinated_move_moving (gclib_data_record_handle h, char plane)
| Returns true if moving.
int32_t | gclib_data_record_coordinated_move_distance (gclib_data_record_handle h, char plane)
| Returns the distance covered in the current move.
uint16_t | gclib_data_record_coordinated_move_buffer_available (gclib_data_record_handle h, char plane)
| Returns the available buffer space.

## Detailed Description

Coordinated move values, relevant for LM and CM modes of motion.

## Function Documentation

## ◆ gclib_data_record_coordinated_move_segment_count()

uint16_t gclib_data_record_coordinated_move_segment_count | ( | gclib_data_record_handle | h,
|  | char | plane )

Returns the segment count for the current move.

## ◆ gclib_data_record_coordinated_move_status()

uint16_t gclib_data_record_coordinated_move_status | ( | gclib_data_record_handle | h,
|  | char | plane )

Returns the coordinated move status word.

## ◆ gclib_data_record_coordinated_move_final_deceleration()

bool gclib_data_record_coordinated_move_final_deceleration | ( | gclib_data_record_handle | h,
|  | char | plane )

Returns true if in final deceleration.

## ◆ gclib_data_record_coordinated_move_stopping()

bool gclib_data_record_coordinated_move_stopping | ( | gclib_data_record_handle | h,
|  | char | plane )

Returns true if stopping.

## ◆ gclib_data_record_coordinated_move_slewing()

bool gclib_data_record_coordinated_move_slewing | ( | gclib_data_record_handle | h,
|  | char | plane )

Returns true if slewing.

## ◆ gclib_data_record_coordinated_move_moving()

bool gclib_data_record_coordinated_move_moving | ( | gclib_data_record_handle | h,
|  | char | plane )

Returns true if moving.

## ◆ gclib_data_record_coordinated_move_distance()

int32_t gclib_data_record_coordinated_move_distance | ( | gclib_data_record_handle | h,
|  | char | plane )

Returns the distance covered in the current move.

## ◆ gclib_data_record_coordinated_move_buffer_available()

uint16_t gclib_data_record_coordinated_move_buffer_available | ( | gclib_data_record_handle | h,
|  | char | plane )

Returns the available buffer space.